/*
 * Code for class TARJAN_STRONGLY_CONNECTED_ALGORITHM [G#1]
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ta7696.h"
#include "eif_helpers.h"

#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {TARJAN_STRONGLY_CONNECTED_ALGORITHM}.make_with_graph */
void F291_5360 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTCFDT;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEAA("make_with_graph", 290, Current, 0, 1, 4837);
	RTGC;
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	{
		EIF_TYPE_INDEX typarr0[] = {3059,204,0xFFF8,1,0xFFFF};
		EIF_TYPE typres0;
		
		typres0 = eif_compound_id(dftype, typarr0);
		tr1 = RTLNSMART(typres0.id);
	}
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32)) R29662[Dtype(RTCW(tr1))-3059])(tr1, ((EIF_INTEGER_32) 5L));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_1_) = (EIF_REFERENCE) tr1;
	RTHOOK(3);
	{
		EIF_TYPE_INDEX typarr0[] = {2971,6605,0xFFF8,1,0xFFFF};
		EIF_TYPE typres0;
		
		typres0 = eif_compound_id(dftype, typarr0);
		tr1 = RTLNSMART(typres0.id);
	}
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32)) R29362[Dtype(RTCW(tr1))-2971])(tr1, ((EIF_INTEGER_32) 0L));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_2_) = (EIF_REFERENCE) tr1;
	RTHOOK(4);
	RTLE;
	RTEE;
}

/* {TARJAN_STRONGLY_CONNECTED_ALGORITHM}.compute_cycle */
void F291_5362 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(7);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,loc1);
	RTLR(3,loc4);
	RTLR(4,loc3);
	RTLR(5,tr2);
	RTLR(6,tr3);
	RTLIU(7);
	
	RTEAA("compute_cycle", 290, Current, 4, 0, 4839);
	RTGC;
	RTHOOK(1);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
	(FUNCTION_CAST(void, (EIF_REFERENCE)) R28905[Dtype(RTCW(tr1))-2680])(tr1);
	RTHOOK(2);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
	(FUNCTION_CAST(void, (EIF_REFERENCE)) R28905[Dtype(RTCW(tr1))-2680])(tr1);
	RTHOOK(3);
	{
		EIF_TYPE_INDEX typarr0[] = {3002,0xFFF8,1,0xFFFF};
		EIF_TYPE typres0;
		
		typres0 = eif_compound_id(Dftype(Current), typarr0);
		loc1 = RTLNS(typres0.id, 3002, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32)) R29362[Dtype(RTCW(loc1))-2971])(loc1, ((EIF_INTEGER_32) 5L));
	RTHOOK(4);
	loc2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	RTHOOK(5);
	tr1 = *(EIF_REFERENCE *)(Current);
	tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
	loc4 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R28496[Dtype(RTCW(tr1))-2309])(tr1);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R27505[Dtype(loc4)-2202])(loc4);
		if (tb1) break;
		RTHOOK(6);
		tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R27504[Dtype(loc4)-2202])(loc4);
		tr2 = RTCCL(tr1);
		loc3 = F291_5366(Current, tr2);
		RTHOOK(7);
		tb2 = F205_4067(RTCW(loc3));
		if ((EIF_BOOLEAN) !tb2) {
			RTHOOK(8);
			tr1 = *(EIF_REFERENCE *)(Current);
			tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R27504[Dtype(loc4)-2202])(loc4);
			tr3 = RTCCL(tr2);
			F291_5365(Current, tr1, tr3, loc1, loc2);
		}
		RTHOOK(9);
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R27506[Dtype(loc4)-2202])(loc4);
	}
	RTHOOK(10);
	RTLE;
	RTEE;
}

/* {TARJAN_STRONGLY_CONNECTED_ALGORITHM}.cycles */
EIF_REFERENCE F291_5363 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
	
	RTEAA("cycles", 290, Current, 0, 0, 4831);
	RTHOOK(1);
	RTHOOK(2);
	RTEE;
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_2_);
}

/* {TARJAN_STRONGLY_CONNECTED_ALGORITHM}.strong_connect */
void F291_5365 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(11);
	RTLR(0,loc1);
	RTLR(1,arg2);
	RTLR(2,tr1);
	RTLR(3,Current);
	RTLR(4,arg3);
	RTLR(5,loc5);
	RTLR(6,arg1);
	RTLR(7,loc3);
	RTLR(8,loc2);
	RTLR(9,tr2);
	RTLR(10,loc4);
	RTLIU(11);
	
	RTEAA("strong_connect", 290, Current, 5, 4, 4833);
	RTGC;
	RTHOOK(1);
	tr1 = RTCCL(arg2);
	loc1 = F291_5366(Current, tr1);
	RTHOOK(2);
	F205_4069(RTCW(loc1), arg4);
	RTHOOK(3);
	F205_4070(RTCW(loc1), arg4);
	RTHOOK(4);
	tr1 = RTCCL(arg2);
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R28900[Dtype(RTCW(arg3))-2787])(arg3, tr1);
	RTHOOK(5);
	tr1 = RTCCL(arg2);
	tr1 = F744_12264(RTCW(arg1), tr1);
	loc5 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R28496[Dtype(RTCW(tr1))-2309])(tr1);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R27505[Dtype(loc5)-2202])(loc5);
		if (tb1) break;
		RTHOOK(6);
		loc3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R27504[Dtype(loc5)-2202])(loc5);
		RTHOOK(7);
		tr1 = RTCCL(loc3);
		loc2 = F291_5366(Current, tr1);
		RTHOOK(8);
		tb2 = F205_4067(RTCW(loc2));
		if ((EIF_BOOLEAN) !tb2) {
			RTHOOK(9);
			tr1 = *(EIF_REFERENCE *)(Current);
			tr2 = RTCCL(loc3);
			F291_5365(Current, tr1, tr2, arg3, (EIF_INTEGER_32) (arg4 + ((EIF_INTEGER_32) 1L)));
			RTHOOK(10);
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_0_0_0_1_);
			ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_1_);
			ti4_1 = eif_min_int32 (ti4_1,ti4_2);
			F205_4070(RTCW(loc1), ti4_1);
		} else {
			RTHOOK(11);
			tr1 = RTCCL(loc3);
			tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R28649[Dtype(RTCW(arg3))-2526])(arg3, tr1);
			if (tb2) {
				RTHOOK(12);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_0_0_0_1_);
				ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_0_0_0_1_);
				ti4_1 = eif_min_int32 (ti4_1,ti4_2);
				F205_4070(RTCW(loc1), ti4_1);
			}
		}
		RTHOOK(13);
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R27506[Dtype(loc5)-2202])(loc5);
	}
	RTHOOK(14);
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_0_0_0_1_);
	ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_0_0_0_0_);
	if ((EIF_BOOLEAN)(ti4_1 == ti4_2)) {
		RTHOOK(15);
		{
			EIF_TYPE_INDEX typarr0[] = {6605,0xFFF8,1,0xFFFF};
			EIF_TYPE typres0;
			
			typres0 = eif_compound_id(Dftype(Current), typarr0);
			loc4 = RTLNS(typres0.id, 6605, _OBJSIZ_4_1_0_5_0_0_0_0_);
		}
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32)) R67572[Dtype(RTCW(loc4))-6605])(loc4, ((EIF_INTEGER_32) 5L));
		RTHOOK(16);
		tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R28650[Dtype(RTCW(arg3))-2526])(arg3);
		if ((EIF_BOOLEAN) !tb2) {
			RTHOOK(17);
			loc3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R28914[Dtype(RTCW(arg3))-2703])(arg3);
			RTHOOK(18);
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R28919[Dtype(RTCW(arg3))-2787])(arg3);
			RTHOOK(19);
			tr1 = RTCCL(loc3);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R67587[Dtype(RTCW(loc4))-6605])(loc4, tr1);
		}
		for (;;) {
			RTHOOK(20);
			tb2 = '\01';
			tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R28650[Dtype(RTCW(arg3))-2526])(arg3);
			if (!tb3) {
				tb2 = RTCEQ(loc3, arg2);
			}
			if (tb2) break;
			RTHOOK(21);
			loc3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R28914[Dtype(RTCW(arg3))-2703])(arg3);
			RTHOOK(22);
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R28919[Dtype(RTCW(arg3))-2787])(arg3);
			RTHOOK(23);
			tr1 = RTCCL(loc3);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R67587[Dtype(RTCW(loc4))-6605])(loc4, tr1);
		}
		RTHOOK(24);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc4) + O67595[Dtype(loc4)-6605]);
		if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 1L))) {
			RTHOOK(25);
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R28901[Dtype(RTCW(tr1))-2680])(tr1, loc4);
		}
	}
	RTHOOK(26);
	RTLE;
	RTEE;
}

/* {TARJAN_STRONGLY_CONNECTED_ALGORITHM}.fetch_vertex_info */
EIF_REFERENCE F291_5366 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,arg1);
	RTLR(3,tr1);
	RTLR(4,loc2);
	RTLR(5,Result);
	RTLIU(6);
	
	RTEAA("fetch_vertex_info", 290, Current, 2, 1, 4834);
	RTGC;
	RTHOOK(1);
	loc1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
	RTHOOK(2);
	tr1 = RTCCL(arg1);
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R29691[Dtype(RTCW(loc1))-3059])(loc1, tr1);
	RTHOOK(3);
	tb1 = '\0';
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
	tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R29682[Dtype(RTCW(tr1))-3059])(tr1);
	if (tb2) {
		tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R29666[Dtype(RTCW(loc1))-3059])(loc1);
		loc2 = tr1;
		tb1 = EIF_TEST(loc2);
	}
	if (tb1) {
		RTHOOK(4);
		RTHOOK(5);
		RTLE;
		RTEE;
		return (EIF_REFERENCE) loc2;
	} else {
		RTHOOK(6);
		Result = RTLNS(eif_new_type(204, 0x00).id, 204, _OBJSIZ_0_0_0_2_0_0_0_0_);
		RTHOOK(7);
		tr1 = RTCCL(arg1);
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE, EIF_REFERENCE)) R28910[Dtype(RTCW(loc1))-2866])(loc1, Result, tr1);
	}
	RTHOOK(8);
	RTLE;
	RTEE;
	return Result;
}

void EIF_Minit7696 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
