case $CONFIG in
'')
	if test ! -f ../config.sh; then
		(echo "Can't find ../config.sh."; exit 1)
	fi 2>/dev/null
	. ../config.sh
	;;
esac
case "$O" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Compiling C code in C86"
$spitshell >Makefile <<!GROK!THIS!
INCLUDE_PATH =  -I"\$(ISE_LIBRARY)/library/base/elks/encoding/implementation/include" -I"\$(ISE_LIBRARY)/library/process/base/platform/unix/include" -I"\$(ISE_LIBRARY)/library/time/spec/include" -I"\$(EIFFEL_SRC)/C/bench" -I"\$(EIFFEL_SRC)/C/platform" -I"\$(EIFFEL_SRC)/framework/dotnet/il_emitter/Clib" -I"\$(ISE_LIBRARY)/library/i18n/spec/include" -I"\$(ISE_LIBRARY)/library/vision2/spec/include" -I"\$(ISE_LIBRARY)/library/vision2/implementation/gtk3/Clib" -I"\$(ISE_LIBRARY)/library/cURL/spec/include" -I"\$(ISE_LIBRARY)/C_library/curl/include" -I"\$(ISE_LIBRARY)/library/web_browser/spec/include/webkit2" -I"\$(ISE_LIBRARY)/library/web_browser/spec/include" `$ISE_LIBRARY/library/base/elks/encoding/implementation/unix/Clib/iconv-config --include_path` `$ISE_LIBRARY/library/vision2/implementation/gtk3/Clib/vision2-gtk-config --include_path`
SHELL = /bin/sh
CC = $cc
CPP = $cpp
CFLAGS = $optimize $mtccflags $large -I"$rt_include" -I. \$(INCLUDE_PATH)
CPPFLAGS = $optimize $mtcppflags $large -I"$rt_include" -I. \$(INCLUDE_PATH)
LDFLAGS = $ldflags
CCLDFLAGS = $ccldflags  $console_flags
LDSHAREDFLAGS =  $mtldsharedflags
EIFLIB = "$rt_lib/$prefix$mt_prefix$eiflib$suffix"
EIFTEMPLATES = $rt_templates
LIBS = $mtlibs
MAKE = $make
AR = $ar
LD = $ld
MKDEP = $mkdep \$(DPFLAGS) --
MV = $mv
CP = $cp
RANLIB = $ranlib
RM = $rm -f
FILE_EXIST = $file_exist
RMDIR = $rmdir
X2C = "$x2c"
SHAREDLINK = $sharedlink
SHAREDLIBS = $sharedlibs
SHARED_SUFFIX = $shared_suffix
COMMAND_MAKEFILE = 
START_TEST = $start_test 
END_TEST = $end_test 
CREATE_TEST = $create_test 
SYSTEM_IN_DYNAMIC_LIB = ec$shared_suffix 
!GROK!THIS!
$spitshell >>Makefile <<'!NO!SUBS!'
.SUFFIXES: .x .xpp .cpp .o

.c.o:
	$(CC) $(CFLAGS) -c $<

.cpp.o:
	$(CPP) $(CPPFLAGS) -c $<

.x.o:
	$(X2C) $< $*.c
	$(CC) $(CFLAGS) -c $*.c
	$(RM) $*.c

.xpp.o:
	$(X2C) $< $*.cpp
	$(CPP) $(CPPFLAGS) -c $*.cpp
	$(RM) $*.cpp

.x.c:
	$(X2C) $< $*.c

.xpp.cpp:
	$(X2C) $< $*.cpp

OBJECTS = ex4265.o pa4297.o ca4299.o on4295.o pa4293.o re4276.o re4252.o \
	re4263.o ro4291.o se4251.o st4289.o tu4287.o ty4275.o vo4274.o \
	st4285.o hi4254.o ob4283.o do4250.o ad4273.o ar4281.o as4261.o \
	bo4272.o ch4271.o ch4255.o cu4270.o el4269.o ex4279.o fo4268.o \
	gu4256.o if4253.o if4267.o in4266.o lo4257.o lo4277.o nu4294.o \
	as4262.o re4264.o pa4298.o on4296.o ro4292.o st4290.o tu4288.o \
	st4286.o ob4284.o ar4282.o ex4280.o op4259.o lo4258.o lo4278.o \
	op4260.o 

all: Cobj86.o

Cobj86.o: $(OBJECTS) Makefile
	$(LD) $(LDFLAGS) -r -o Cobj86.o $(OBJECTS)
	$(RM) $(OBJECTS)
	$(CREATE_TEST)

clean: local_clean
clobber: local_clobber

local_clean::
	$(RM) core finished *.o

local_clobber:: local_clean
	$(RM) Makefile

!NO!SUBS!
chmod 644 Makefile
$eunicefix Makefile
